package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

/**
 * @Description: 学院学科result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/11
 */
public class CollegeAndCourseResult implements Serializable {

    @ApiModelProperty(value = "courseInfo")
    private CourseInfoResult courseInfo;

    @ApiModelProperty(value = "gradeDistributionInfo")
    private CollegeAndSchoolGradeDistributionResult gradeDistributionInfo;

    @ApiModelProperty(value = "dimensionInfo")
    private DimensionAnalyzeResult dimensionInfo;

    @ApiModelProperty(value = "answerInfo")
    private QuestionInfoResult answerInfo;

    @ApiModelProperty(value = "teacherInfo")
    private TeacherInfoListResult teacherInfo;

    @ApiModelProperty(value = "questionInfo")
    private QuestionListResult questionInfo;

    public CollegeAndCourseResult() {

    }

    public CollegeAndCourseResult(CourseInfoResult courseInfo, CollegeAndSchoolGradeDistributionResult gradeDistributionInfo,
                                  DimensionAnalyzeResult dimensionInfo, QuestionInfoResult answerInfo, TeacherInfoListResult
                                          teacherInfo, QuestionListResult questionInfo) {
        this.courseInfo = courseInfo;
        this.gradeDistributionInfo = gradeDistributionInfo;
        this.dimensionInfo = dimensionInfo;
        this.answerInfo = answerInfo;
        this.teacherInfo = teacherInfo;
        this.questionInfo = questionInfo;
    }

    public CourseInfoResult getCourseInfo() {
        return courseInfo;
    }

    public void setCourseInfo(CourseInfoResult courseInfo) {
        this.courseInfo = courseInfo;
    }

    public CollegeAndSchoolGradeDistributionResult getGradeDistributionInfo() {
        return gradeDistributionInfo;
    }

    public void setGradeDistributionInfo(CollegeAndSchoolGradeDistributionResult gradeDistributionInfo) {
        this.gradeDistributionInfo = gradeDistributionInfo;
    }

    public DimensionAnalyzeResult getDimensionInfo() {
        return dimensionInfo;
    }

    public void setDimensionInfo(DimensionAnalyzeResult dimensionInfo) {
        this.dimensionInfo = dimensionInfo;
    }

    public QuestionInfoResult getAnswerInfo() {
        return answerInfo;
    }

    public void setAnswerInfo(QuestionInfoResult answerInfo) {
        this.answerInfo = answerInfo;
    }

    public TeacherInfoListResult getTeacherInfo() {
        return teacherInfo;
    }

    public void setTeacherInfo(TeacherInfoListResult teacherInfo) {
        this.teacherInfo = teacherInfo;
    }

    public QuestionListResult getQuestionInfo() {
        return questionInfo;
    }

    public void setQuestionInfo(QuestionListResult questionInfo) {
        this.questionInfo = questionInfo;
    }
}
